
/* $Id: eoserver.hpp 490 2015-11-18 10:46:34Z sausage $
 * EOSERV is released under the zlib license.
 * See LICENSE.txt for more info.
 */

#ifndef EOSERVER_HPP_INCLUDED
#define EOSERVER_HPP_INCLUDED

#include "fwd/eoserver.hpp"

#include "fwd/config.hpp"
#include "fwd/eoclient.hpp"
#include "fwd/sln.hpp"
#include "fwd/world.hpp"

#include "socket.hpp"

#include <array>
#include <string>
#include <unordered_map>

void server_ping_all(void *server_void);
void server_pump_queue(void *server_void);

/**
 * A server which accepts connections and creates EOClient instances from them
 */
class EOServer : public Server
{
	private:
		std::unordered_map<IPAddress, double, std::hash<IPAddress>> connection_log;
		void Initialize(std::array<std::string, 6> dbinfo, const Config &eoserv_config, const Config &admin_config);

	protected:
		virtual Client *ClientFactory(const Socket &);

	public:
		World *world;
		double start;
		SLN *sln;

		EOServer(IPAddress addr, unsigned short port, std::array<std::string, 6> dbinfo, const Config &eoserv_config, const Config &admin_config) : Server(addr, port)
		{
			this->Initialize(dbinfo, eoserv_config, admin_config);
		}

		void Tick();

		~EOServer();
};

#endif // EOSERVER_HPP_INCLUDED
